## libpqxx 4.0.1+dfsg

=== debian/changelog ===
libpqxx (4.0.1+dfsg-5) unstable; urgency=medium

  * d/rules fix splitting configure target into arch & indep, big thx to
    Bálint Réczey for patch doing it (Closes: #798402)
  * fixing auto_build-indep to build documentation
  * putting symbols into d/*.symbols file

 -- Marcin Kulisz (kuLa) <debian@kulisz.net>  Sat, 12 Sep 2015 21:07:14 +0100

libpqxx (4.0.1+dfsg-4) unstable; urgency=medium

  * Bumping up standars version to 3.9.6
  * Conforming with Short Name for License specification in d/copyright
  * Fixed source-contains-prebuilt-doxygen-documentation by removing all of
    the doxygen generated docs and recreating it at build time
  * Changing package name for gcc-5 (Closes: #795866, #797865)
  * Fixing d/watch file to use passive ftp

 -- Marcin Kulisz (kuLa) <debian@kulisz.net>  Sun, 06 Sep 2015 07:52:13 +0100

libpqxx (4.0.1+dfsg-3) unstable; urgency=low

  * Removing all minified js files, changing debian version into dfsg
    (Closes: #729785)
  * Adding missing credits in d/copyright
  * Removing unsed d/libpqxx-doc.postinst
  * Switching autotools-dev to dh-autoreconf (Closes: 735954), thx to Logan
    Rosen for the patch
  * Closing (LP: #370913)
  * Added source.lintian-overrides
  * Bumping up standars version to 3.9.5

 -- Marcin Kulisz (kuLa) <debian@kulisz.net>  Sun, 19 Jan 2014 20:04:55 +0000

libpqxx (4.0.1-2) unstable; urgency=low

  * Created dummy transition package for libpqxx3-dev
  * Removing lintian overrides, not in use anymore
  * Dropped the soversion from the -doc and -dbg package too.

 -- Marcin Kulisz (kuLa) <debian@kulisz.net>  Thu, 14 Nov 2013 20:03:43 +0000

libpqxx (4.0.1-1) unstable; urgency=low

  * New upstream
    - Improvements for clang compilation
    - Fixes for BSD compilation
    - Compatibility for OS X
    - Bug fixes
  * Added python as a build dep for autogenerating configs (regarding upstream
    changes)
  * Added lintian override for symlink in libpqxx-4.0 package for libpqxx.so ->
    libpqxx-4.0.so
  * Fixing autotools bug (Closes: #727432)
  * Added build dep on autotools-dev
  * Fixed vcs urls
  * Standards-version bump to 3.9.4

 -- Marcin Kulisz (kuLa) <debian@kulisz.net>  Wed, 30 Oct 2013 18:38:26 +0100

libpqxx (4.0-2) unstable; urgency=low

  * Upload to unstable
  * Added README.source describing workflaw for working with this package

 -- Marcin Kulisz (kuLa) <debian@kulisz.net>  Thu, 14 Jun 2012 14:08:21 +0100

libpqxx (4.0-1) experimental; urgency=low

  [ Marcin Kulisz]
  * New upstream, slightly changed API
  * d/control:
    - renaming packages to libpqxx-4.0 and libpqxx4 (changed ABI)
  * removing useless quilt patches
  * d/copyright bump to DEP5
  * Closing (LP: 842873)
  * Implementing propper URL for Copyright format 1.0 (DEP-5)
  * Closing (Closes: #672021) as not applicable for v4.0
  * Standards version bump to 3.9.3

  [ Matthijs Möhlmann ]
  * Debhelper level 9, adjust the control file.
  * Fix the install files and update to multiarch.

 -- Marcin Kulisz (kuLa) <debian@kulisz.net>  Thu, 10 May 2012 20:49:13 +0100

libpqxx3 (3.1-1) unstable; urgency=low

  [ Marcin Kulisz ]
  * Adopting package (Closes: #618703)
  * d/rules total rewrite
  * adding symbols file
  * fixing all lintian issues

  [ Matthijs Möhlmann ]
  * New upstream version (Closes: #622728)
  * Update copyright file and include BSD license.
  * Switch to dpkg-source 3.0 (quilt) format
  * Empty the dependency_lib line in the .la file. (Closes: #622480)
  * Use debhelper 8

 -- Marcin Kulisz (kuLa) <debian@kulisz.net>  Mon, 28 Nov 2011 20:52:27 +0000

libpqxx3 (3.0.2-2) unstable; urgency=low

  * Orphaned the package.
  * debian/control:
    - Added quilt to Build-Depends.
    - Bumped Standards-Version to 3.9.2, no changes needed.
  * debian/rules:
    - Use quilt.
  * debian/patches:
    - New patch 100-fix-g++4.6-compilation.patch (provided by
      Matthias Klose <doko@ubuntu.com>). (Closes: #624876)
  * debian/README.source:
    - Added with standard instructions how to use quilt.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Tue, 03 May 2011 20:00:49 +0300

libpqxx3 (3.0.2-1) unstable; urgency=low

  * New upstream bugfix-only release.
  * debian/control:
    - Bumped Standards-Version to 3.8.3, no changes needed.
    - Added {misc:Depends} to dependencies of binary packages.
    - Updated my mail address.
  * debian/libpqxx3-doc.install:
    - Added test headers to allow compiling examples. (Closes: 539814)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Mon, 28 Sep 2009 01:13:16 +0300

libpqxx3 (3.0.0-3) unstable; urgency=medium

  * debian/control:
    - Make libpqxx3-dev also replace the libpqxx-dev to easy upgrade path.
      (Closes: #520171)
    - Make libpqxx3-doc conflict with and replace libpqxx-doc. Fixes a RC bug,
      so urgency is set to medium. (Closes: #520169)
    - Binary package 'libpqxx-3.0-dbg' is now in 'debug' section.
    - Removed duplicated 'Section' tag for 'libpqxx-3.0', as suggested by
      lintian.
    - Bump 'Standards-Version' to 3.8.1, no changes needed.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Thu, 19 Mar 2009 19:50:47 +0200

libpqxx3 (3.0.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sun, 01 Mar 2009 09:11:59 +0200

libpqxx3 (3.0.0-1) experimental; urgency=low

  * New upstream release.
  * Switched source package from libpqxx to libpqxx3, allowing both
    libpqxx v2 and v3 being installed simultaneously.
  * debian/control:
    - Added 'Vcs-Git' and 'Vcs-Browser' fields.
    - Make libpqxx3-dev conflict with libpqxx-dev, they contain the same
      include paths.
  * debian/rules: 
    - Moved renewing config.sub and config.guess code to 'autoconfigure'
      target. Added deleting of these files in 'clean' target.
    - Don't parse changelog for library version, it changes rarely anyway.
    - Deal better with config/config.{sub,guess} files in 'clean' and
      'autoconfigure' targets.

