=== debian/watch ===
version=3
opts="pasv,dversionmangle=s/\+dfsg//" \
ftp://pqxx.org/software/libpqxx/libpqxx-(.+)\.tar\.gz \
  debian sh debian/repack.sh
