## libpqxx 4.0.1+dfsg1

=== debian/changelog ===
libpqxx (4.0.1+dfsg1-6) unstable; urgency=medium

  [ Marcin Kulisz (kuLa) ]
  * Switchin Vcs-* links in d/control to secure version
  * Removing repacking, unwanted files removal is +
  * Bumping up Standards-Version to 3.9.8
  * Switching to default dbgsym generation
  * Reproducible builds d/rules adjustment
  * New Debian version string due to repack script removal and sizes
    difference between (in archive source and new one [27 bytes])

 -- Marcin Kulisz (kuLa) <debian@kulisz.net>  Tue, 19 Jul 2016 10:15:41 +0100
