=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Build-Depends: debhelper (>> 9.0.0), libpq-dev (>= 8.0.3), chrpath, libtool,
  python-all, dh-autoreconf
 Build-Depends-Indep: doxygen, xmlto
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/libpqxx.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libpqxx.git;a=summary
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/libpqxx.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/libpqxx.git;a=summary
 Homepage: http://pqxx.org
 
 Package: libpqxx-dev
@@ -63,19 +63,3 @@
  the PostgreSQL database back-end. The database back-end can
  be local or it may be on another machine, accessed via
  TCP/IP. This package obsoletes the libpqpp package.
-
-Package: libpqxx-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, libpqxx-4.0v5 (= ${binary:Version})
-Conflicts: libpqxx4-dbg
-Replaces: libpqxx4-dbg
-Description: C++ library to connect to PostgreSQL (debugging symbols)
- C++ library to enable user programs to communicate with
- the PostgreSQL database back-end.
- .
- This package contains debugging symbols for the libpqxx library. It is usually
- needed to get a useful backtrace when applications using the libpqxx library
- crashes.
