=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
+#export DH_VERBOSE=1
 
-#export DH_VERBOSE=1
+# Fixing reproducible builds
+LC_ALL := C.UTF-8
+export LC_ALL
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
@@ -32,9 +35,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -v$(LIBRARY_VERSION)
-
-override_dh_strip:
-	dh_strip --dbg-package=libpqxx-dbg
-
-get-orig-source:
-	uscan --force --verbose --no-symlink
