=== debian/watch ===
version=3

opts=repacksuffix=+dfsg1,uversionmangle=s/-.*$//,dversionmangle=s/[-.+~]?(git|snapshot|repack|dfsg)(.*)$//i,pasv \
  ftp://pqxx.org/software/libpqxx/libpqxx-(.+)\.tar\.gz
