## libpqxx 4.0.1+dfsg3

=== debian/changelog ===
libpqxx (4.0.1+dfsg3-8) unstable; urgency=medium

  * Added patch fixing configure.ac to work with stricter sed (Closes: #851022)
  * Current work attribution update to d/copyright

 -- Marcin Kulisz (kuLa) <debian@kulisz.net>  Sun, 15 Jan 2017 16:58:57 +0000

libpqxx (4.0.1+dfsg2-7) unstable; urgency=medium

  * Added multiarch tag to docs package
  * d/control build-deps and deps 1 per line
  * Upstream is not providing FTP any more switching d/watch to http
  * Debian patch for spelling error caught by lintian
  * Adding hardening flags to the d/rules

 -- Marcin Kulisz (kuLa) <debian@kulisz.net>  Fri, 28 Oct 2016 15:22:41 +0100
