=== debian/control ===
--- 
+++ 
@@ -2,8 +2,12 @@
 Section: libs
 Priority: optional
 Maintainer: Marcin Kulisz (kuLa) <debian@kulisz.net>
-Build-Depends: debhelper (>> 9.0.0), libpq-dev (>= 8.0.3), chrpath, libtool,
- python-all, dh-autoreconf
+Build-Depends: debhelper (>> 9.0.0),
+ libpq-dev (>= 8.0.3),
+ chrpath,
+ libtool,
+ python-all,
+ dh-autoreconf
 Build-Depends-Indep: doxygen, xmlto
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/libpqxx.git
@@ -14,8 +18,10 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, libpq-dev (>= 8.0.3-1),
- libpqxx-4.0v5 (= ${binary:Version}), pkg-config
+Depends: ${misc:Depends},
+ pkg-config,
+ libpq-dev (>= 8.0.3-1),
+ libpqxx-4.0v5 (= ${binary:Version})
 Suggests: libpqxx4-doc
 Conflicts: libpqxx4-dev
 Breaks: libpqxx3-dev (<< 4)
@@ -31,7 +37,8 @@
 Section: oldlibs
 Priority: extra
 Architecture: all
-Depends: ${misc:Depends}, libpqxx-dev
+Depends: ${misc:Depends},
+ libpqxx-dev
 Description: Transitional dummy package for libpqxx-dev
  This package is a transition dummy package which can be safely removed.
  .
@@ -41,8 +48,10 @@
 Package: libpqxx-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends},
+ libjs-jquery
 Suggests: libpqxx-dev (>= ${binary:Version})
 Conflicts: libpqxx3-doc, libpqxx4-doc
 Replaces: libpqxx3-doc, libpqxx4-doc
