=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
+# Full hardening ON
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 # Fixing reproducible builds
 LC_ALL := C.UTF-8
 export LC_ALL
