=== debian/watch ===
version=3

opts=repacksuffix=+dfsg1,uversionmangle=s/-.*$//,dversionmangle=s/[-.+~]?(git|snapshot|repack|dfsg)(.*)$//i \
  http://pqxx.org/download/software/libpqxx/libpqxx-(.+)\.tar\.gz
