## libpqxx 6.2.4

=== debian/changelog ===
libpqxx (6.2.4-4) unstable; urgency=medium

  * Added Breaks+Replaces to fix upgrades from libpqxx6 to libpqxx-6.2
    (Closes: 905146)

 -- Marcin Kulisz <debian@kulisz.net>  Tue, 14 Aug 2018 20:50:39 +0100

libpqxx (6.2.4-3) unstable; urgency=medium

  * Added autopkgtest
  * Removing unused links file
  * Renaming bin package to match SONAME (Closes: 904942)

 -- Marcin Kulisz <debian@kulisz.net>  Mon, 30 Jul 2018 19:10:25 +0100

libpqxx (6.2.4-2) unstable; urgency=medium

  * Standards Version bump to 4.1.5
  * Fixinig dbg symbols (Closes: #904942)

 -- Marcin Kulisz <debian@kulisz.net>  Mon, 30 Jul 2018 06:47:45 +0100

libpqxx (6.2.4-1) unstable; urgency=medium

  * New upstream 6.2.4 (Closes: #903473)
    - fixes for non-ASCII chars
    - new macro and some fixes to help with build process
    - check for compatibility between lib and headers
  * Lintian override for 6.2 soname
  * Removal of autogenerated Sphinx files
  * Using TSL for GNU lincences in d/copyright

 -- Marcin Kulisz <debian@kulisz.net>  Sun, 29 Jul 2018 13:05:18 +0100

libpqxx (6.1.0-1) unstable; urgency=medium

  [ Marcin Kulisz ]
  * New d/control
  * Moving upstream project to github: adjusting d/copyright
  * Moving upstream project to github: adjusting d/watch
  * Bumping up SV
  * New upstream version 6.1.0+dfsg
  * Switching package to new major upstream version (6.1.0)
  * Removing source patches those are not needed anymore
  * No more upstream changelog
  * Removing transitional package libpqxx3-dev (Closes: #878657)
  * Added Upstream metadata
  * Added links config for binares containing link to upstream changelog
  * d/README.source update
  * Added lintian warning override for main bianry package
  * d/control removed references to 4.0v5
  * Standards version bump to 4.1.4
  * JQuery is not needed anymore

 -- Marcin Kulisz <debian@kulisz.net>  Sun, 24 Jun 2018 21:33:42 +0100
