=== debian/control ===
Source: libpqxx
Section: libs
Priority: optional
Maintainer: Marcin Kulisz <debian@kulisz.net>
Build-Depends: debhelper (>= 11.0),
 libpq-dev (>= 8.0.3),
 chrpath,
 libtool,
 python-all,
 autoconf-archive
Build-Depends-Indep: doxygen, xmlto
Standards-Version: 4.1.5
Vcs-Git: https://salsa.debian.org/debian/libpqxx.git
Vcs-Browser: https://salsa.debian.org/debian/libpqxx
Homepage: https://github.com/jtv/libpqxx/

Package: libpqxx-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 pkg-config,
 libpq-dev (>= 8.0.3-1),
 libpqxx-6.2 (= ${binary:Version})
Suggests: libpqxx-doc
Description: C++ library to connect to PostgreSQL (development files)
 C++ library to enable user programs to communicate with
 the PostgreSQL database back-end.
 .
 This package contains header files for linking against libpqxx. Obsoletes
 the libpqpp-dev package.

Package: libpqxx-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
Suggests: libpqxx-dev (>= ${binary:Version})
Description: C++ library to connect to PostgreSQL (documentation)
 C++ library to enable user programs to communicate with
 the PostgreSQL database back-end.
 .
 This package contains documentation and examples.

Package: libpqxx-6.2
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libpqxx6 (>= 6.2)
Breaks: libpqxx6 (>= 6.2)
Description: C++ library to connect to PostgreSQL
 C++ library to enable user programs to communicate with
 the PostgreSQL database back-end. The database back-end can
 be local or it may be on another machine, accessed via
 TCP/IP. This package obsoletes the libpqpp package.
