## libpqxx 6.2.5

=== debian/changelog ===
libpqxx (6.2.5-1) unstable; urgency=medium

  * New upstream 6.2.5
    - Removed deprecated pqxx-config
    - Reduce setup code for string conversions, hopefully improving speed
    - Allow nul bytes in tablereader
    - Support defining string conversions for enum types
    - Fixed const/pure attributes warning in gcc8
  * Standards version bump to 4.3.0

 -- Marcin Kulisz <debian@kulisz.net>  Sat, 29 Dec 2018 10:06:09 +0000
