=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python-all,
  autoconf-archive
 Build-Depends-Indep: doxygen, xmlto
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/debian/libpqxx.git
 Vcs-Browser: https://salsa.debian.org/debian/libpqxx
 Homepage: https://github.com/jtv/libpqxx/
