=== debian/tests/control ===
Tests: import
Depends: @ , build-essential, libpq-dev
