=== debian/changelog ===
libpqxx (6.4.5-2) unstable; urgency=medium

  * Source only upload to allow migration from unstable to testing

 -- Marcin Kulisz <debian@kulisz.net>  Thu, 26 Sep 2019 13:21:28 +0100

libpqxx (6.4.5-1) unstable; urgency=medium

  * New upstream 6.4.5
    - quite a lot of changes for exact information please have a look at the
      /usr/share/doc/libpqxx-6.4/NEWS.gz
  * Adjusting packaging for upstream 6.4
  * Removing Replaces & Breaks from the binary
  * Migrating to debhelper 12 specific debhelper-compat mode and std-ver bum
    to 4.4.0
  * d/control fixing readability
  * Added graphviz to build-indep
  * Python3 patch for upstream python build tooling
  * Migrating build system to py3 (Closes: #936903)

 -- Marcin Kulisz <debian@kulisz.net>  Fri, 30 Aug 2019 21:11:36 +0100
