=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Section: libs
 Priority: optional
 Maintainer: Marcin Kulisz <debian@kulisz.net>
-Build-Depends: debhelper (>= 11.0),
- libpq-dev (>= 8.0.3),
- chrpath,
- libtool,
- python-all,
- autoconf-archive
-Build-Depends-Indep: doxygen, xmlto
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12),
+               libpq-dev (>= 8.0.3),
+               chrpath,
+               libtool,
+               python3-all,
+               autoconf-archive
+Build-Depends-Indep: doxygen,
+                     xmlto,
+                     graphviz
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/debian/libpqxx.git
 Vcs-Browser: https://salsa.debian.org/debian/libpqxx
 Homepage: https://github.com/jtv/libpqxx/
@@ -19,9 +21,9 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
- pkg-config,
- libpq-dev (>= 8.0.3-1),
- libpqxx-6.2 (= ${binary:Version})
+         pkg-config,
+         libpq-dev (>= 8.0.3-1),
+         libpqxx-6.4 (= ${binary:Version})
 Suggests: libpqxx-doc
 Description: C++ library to connect to PostgreSQL (development files)
  C++ library to enable user programs to communicate with
@@ -43,12 +45,11 @@
  .
  This package contains documentation and examples.
 
-Package: libpqxx-6.2
+Package: libpqxx-6.4
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: libpqxx6 (>= 6.2)
-Breaks: libpqxx6 (>= 6.2)
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: C++ library to connect to PostgreSQL
  C++ library to enable user programs to communicate with
  the PostgreSQL database back-end. The database back-end can
