=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
-export LIBRARY_VERSION=6.2
+export LIBRARY_VERSION=6.4
 
 %:
 	dh $@
