## libpqxx 7.8.1

=== debian/changelog ===
libpqxx (7.8.1-2.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:11:15 +0000

libpqxx (7.8.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062573

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 19:39:58 +0000

libpqxx (7.8.1-2) unstable; urgency=medium

  * Previous version was uploaded to experimental.
    This version goes to unstable. No changes.

 -- Teus Benschop <teusbenschop@debian.org>  Sun, 24 Sep 2023 11:37:43 +0200

libpqxx (7.8.1-1) unstable; urgency=medium

  [ Marcin Kulisz ]
  * New upstream version 7.2.1
  * Removing unused patches
  * Fixing lintian issues
  * d/watch std bump to 4

  [ Teus Benschop ]
  * New upstream version 7.2.1

  [ Christoph Berg ]
  * debian/watch: Look at GitHub tags.

  [ Maarten van Geijn ]
  * New upstream version 7.8.1 (Closes: #1003724, #1046966, #975000)
    - Developers using this version please beware of API changes since
      Last version shipped with Debian.
      See https://github.com/jtv/libpqxx/releases for more information.
  * Solve lintian warnings indicated by Debian Janitor.

 -- Maarten van Geijn <debian@mvangeijn.nl>  Thu, 31 Aug 2023 10:12:35 +0200
