=== debian/control ===
--- 
+++ 
@@ -1,8 +1,12 @@
 Source: libpqxx
 Section: libs
 Priority: optional
-Maintainer: Marcin Kulisz <debian@kulisz.net>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PostgreSQL team <team+postgresql@tracker.debian.org>
+Uploaders: Marcin Kulisz <debian@kulisz.net>,
+           Teus Benschop <teusbenschop@debian.org>,
+	   Maarten van Geijn <debian@mvangeijn.nl>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                libpq-dev (>= 8.0.3),
                chrpath,
                libtool,
@@ -11,10 +15,11 @@
 Build-Depends-Indep: doxygen,
                      xmlto,
                      graphviz
-Standards-Version: 4.4.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/libpqxx.git
 Vcs-Browser: https://salsa.debian.org/debian/libpqxx
 Homepage: https://github.com/jtv/libpqxx/
+Rules-Requires-Root: no
 
 Package: libpqxx-dev
 Section: libdevel
@@ -23,7 +28,7 @@
 Depends: ${misc:Depends},
          pkg-config,
          libpq-dev (>= 8.0.3-1),
-         libpqxx-6.4 (= ${binary:Version})
+         libpqxx-7.8t64 (= ${binary:Version})
 Suggests: libpqxx-doc
 Description: C++ library to connect to PostgreSQL (development files)
  C++ library to enable user programs to communicate with
@@ -45,7 +50,10 @@
  .
  This package contains documentation and examples.
 
-Package: libpqxx-6.4
+Package: libpqxx-7.8t64
+Provides: ${t64:Provides}
+Replaces: libpqxx-7.8
+Breaks: libpqxx-7.8 (<< ${source:Version})
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
