=== doc/requirements.txt ===
# XXX: Pin versions.
dia
graphviz
sphinx-rtd-theme
myst-parser
