=== debian/changelog ===
libpqxx (7.9.1-2) unstable; urgency=medium

  * Upload to unstable after transition ACK.

 -- Teus Benschop <teusbenschop@debian.org>  Wed, 10 Jul 2024 20:27:49 +0200

libpqxx (7.9.1-1) unstable; urgency=medium

  [ Maarten van Geijn <debian@mvangeijn.nl> ]
  * New upstream version 7.9.1
  * Further version increases (fix)
  * Enable documentation
  * Since t64 is common now, remove the special package name
  * Fix lintian errors
  * Solve build error
  * Add doxygen build dependency again (was missed in previous commit.
  * Remove t64 Provides
  * Try to persuade the autobuilder to skip the documentation for the binary packages.

 --  Maarten van Geijn <debian@mvangeijn.nl>  Wed, 10 Jul 2024 19:56:32 +0200

libpqxx (7.8.1-2.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Thu, 01 Feb 2024 23:15:43 +0000
