=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: libpqxx
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PostgreSQL team <team+postgresql@tracker.debian.org>
+Maintainer: Debian PostgreSQL team <team+postgresql@tracker.debian.org>
 Uploaders: Marcin Kulisz <debian@kulisz.net>,
            Teus Benschop <teusbenschop@debian.org>,
-	   Maarten van Geijn <debian@mvangeijn.nl>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+           Maarten van Geijn <debian@mvangeijn.nl>
+Build-Depends: debhelper-compat (= 13),
                libpq-dev (>= 8.0.3),
                chrpath,
                libtool,
@@ -26,9 +25,9 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
-         pkg-config,
+         pkgconf,
          libpq-dev (>= 8.0.3-1),
-         libpqxx-7.8t64 (= ${binary:Version})
+         libpqxx-7.9 (= ${binary:Version})
 Suggests: libpqxx-doc
 Description: C++ library to connect to PostgreSQL (development files)
  C++ library to enable user programs to communicate with
@@ -50,10 +49,8 @@
  .
  This package contains documentation and examples.
 
-Package: libpqxx-7.8t64
-Provides: ${t64:Provides}
-Replaces: libpqxx-7.8
-Breaks: libpqxx-7.8 (<< ${source:Version})
+Package: libpqxx-7.9
+Replaces: libpqxx-7.9
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
