=== debian/rules ===
--- 
+++ 
@@ -10,19 +10,19 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
-export LIBRARY_VERSION=7.2
+export LIBRARY_VERSION=7.9
 
 %:
 	dh $@
 
 override_dh_auto_configure-arch:
-	dh_auto_configure -- --enable-shared --disable-documentation
+	dh_auto_configure -- --enable-shared
 
 override_dh_auto_configure-indep:
 	dh_auto_configure -- --enable-shared
 
 override_dh_auto_build-indep:
-	cd $(CURDIR)/doc/ && make && doxygen
+	cd $(CURDIR)/doc/ && doxygen
 	find -type f -iname "*.md5" -delete
 
 override_dh_auto_test:
